<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"

        xmlns:p="http://primefaces.org/ui"
        xmlns:x="http://java.sun.com/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
        template="../../resources/templates/tfjadefault/template.xhtml">


    <style>
        div[id="form:growl_container"] > div {
            background-color: red !important;
        }

        div[id="form:growl_container"] > div {
            background-color: green !important;
        }

        .ui-datalist {
            width: 300px;
            margin-bottom: 20px;
        }

        .ui-datalist-item {
            padding: 3px;
        }

        .paginated .ui-datalist-data {
            padding-left: 20px;
        }

        .ui-datalist ul {
            padding: 0px 10px 0 20px;
            margin: 5px 0;
        }

        .ui-datalist {
            margin-bottom: 10px
        }

        .ui-noborder tr.ui-widget-content {
            background: none;
        }

        .smcht > div {
            margin: 0 0 10px 0 !important;
        }

        .smcht > div > div {
            min-width: 125px;
        }

        .smcht > .ui-g {
            margin: 0 0 10px 0 !important;
        }
    </style>
    <ui:define name="content">

        <h:form id="form">
            <p:growl id="growl" showDetail="true" sticky="true" globalOnly="true"/>


            <p:dataList value="#{usersSalasMB.users}" var="u" type="unordered" itemType="none" paginator="true"
                        rows="10" styleClass="paginated">
                <f:facet name="header">
                    Usuarios
                </f:facet>
                <p:commandLink update=":form:userDetail" oncomplete="PF('userDialog').show()" title="Permisos"
                               styleClass="ui-icon pi pi-search"
                               style="float:left;margin-right:10px;margin-top:3px; color:#333333"
                               action="#{usersSalasMB.onUserSelect}">
                    <f:setPropertyActionListener value="#{u}" target="#{usersSalasMB.user}"/>
                    <h:outputText styleClass="pi pi-search" style="margin:0 auto;"
                                  value="#{u.firstName} #{u.lastName} #{u.surname}"/>
                </p:commandLink>
                <h:outputText value="#{u.key}" style="display:inline-block"/>
                <div style="clear: both"></div>
            </p:dataList>


            <p:dialog header="Información del Usuario" widgetVar="userDialog" modal="true" showEffect="blind"
                      hideEffect="explode" resizable="false">
                <p:outputPanel id="userDetail">
                    <!-- columnClasses="label,value"-->
                    <p:dataTable id="userGates" var="g" value="#{usersSalasMB.userSalas}" editable="true"
                                 style="margin-bottom:20px"
                                 paginator="true" rows="10">
                        <f:facet name="header">
                            Salas
                        </f:facet>

                        <p:ajax event="rowEdit" listener="#{usersSalasMB.onRowEdit}" update="userGates"/>
                        <p:column headerText="Clave Usuario">
                            #{g.cveUser}
                        </p:column>
                        <p:column headerText="Clave Region">
                            <p:cellEditor>
                                <f:facet name="output"><h:outputText value="#{g.cveRegion}" style="text-align: center"/></f:facet>
                                <f:facet name="input"><p:spinner id="keyRegion" value="#{g.cveRegion}"
                                                                 style="width:100%;text-align: center"/></f:facet>
                            </p:cellEditor>
                        </p:column>
                        <p:column headerText="Clave Sala">
                            <p:cellEditor>
                                <f:facet name="output"><h:outputText value="#{g.cveSala}"
                                                                     style="text-align: center"/></f:facet>
                                <f:facet name="input"><p:spinner id="keyGate" value="#{g.cveSala}"
                                                                 style="width:100%;text-align: center"/></f:facet>
                            </p:cellEditor>
                        </p:column>
                        <p:column headerText="Clave Magistrado">
                            <p:cellEditor>
                                <f:facet name="output"><h:outputText value="#{g.cveMag}"
                                                                     style="text-align: center"/></f:facet>
                                <f:facet name="input"><p:spinner id="keyMag" value="#{g.cveMag}"
                                                                 style="width:100%;text-align: center"/></f:facet>
                            </p:cellEditor>
                        </p:column>
                        <p:column headerText="Clave Secretario">
                            <p:cellEditor>
                                <f:facet name="output"><h:outputText value="#{g.cveSrio}"
                                                                     style="text-align: center"/></f:facet>
                                <f:facet name="input"><p:spinner id="keySec" value="#{g.cveSrio}"
                                                                 style="width:100%;text-align: center"/></f:facet>
                            </p:cellEditor>
                        </p:column>
                        <p:column style="width:35px">
                            <p:rowEditor/>
                        </p:column>
                        <f:facet name="footer">
                            <p:commandButton actionListener="#{usersSalasMB.createNewGate(true)}" value="Nuevo registro"
                                             icon="ui-icon ui-icon-plus" iconPos="right" style="float: left;border: 1px solid white"
                                             update=":form:userDetail"/>
                            <p:commandButton actionListener="#{usersSalasMB.saveAll}" value="Guardar todo"
                                             icon="ui-icon ui-icon-check" iconPos="right" style="float: right;border: 1px solid white"
                                             update=":form:userDetail :form:growl"/>
                            <div style="clear: both"></div>
                        </f:facet>
                    </p:dataTable>
                    <br/>
                    <p:panelGrid rendered="#{usersSalasMB.newGate ne null }">
                        <p:row>
                            <p:column>
                                <p:outputLabel value="Clave usuario"/>
                                #{usersSalasMB.user.key}
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Clave Region" for="inputRegion"/>
                                <p:spinner id="inputRegion" value="#{usersSalasMB.newGate.cveRegion}"
                                           style="width:100%;text-align: center"/>
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Clave Sala" for="inputGate"/>
                                <p:spinner id="inputGate" value="#{usersSalasMB.newGate.cveSala}"
                                           style="width:100%;text-align: center"/>
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Clave Magistrado" for="inputMagister"/>
                                <p:spinner id="inputMagister" value="#{usersSalasMB.newGate.cveMag}"
                                           style="width:100%;text-align: center"/>
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Clave Secretario" for="inputSecretary"/>
                                <p:spinner id="inputSecretary" value="#{usersSalasMB.newGate.cveSrio}"
                                           style="width:100%;text-align: center"/>
                            </p:column>
                        </p:row>
                        <p:row>
                            <p:column colspan="5">
                                <p:commandButton actionListener="#{usersSalasMB.saveGate}" style="float: right;border: 1px solid white"
                                                 value="Agregar" icon="ui-icon ui-icon-check" iconPos="right"
                                                 update=":form:userDetail :form:growl"/>

                            </p:column>
                        </p:row>
                    </p:panelGrid>
                </p:outputPanel>
            </p:dialog>


        </h:form>


        <p:outputLabel value="Ver. 0.7 ALFA"/>
    </ui:define>


</ui:composition>





